﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.Mvc; 

@model Toyota.Common.Web.MVC.ModelHolder

@{
    ViewBag.Title = "Supplier Feedback Part Input Screen";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@*--- niit.yudha 18/10/2012  *@ 
@*--- Changed by/date  : fid.salman/17-jan-2013 *@

@section Script
{
function SupplierFeedbackBeginCallback(s,e) { } 

function ConfirmClick(s,e) { SupplierFeedbackPartDataGrid.PerformCallback(); } 

$(document).ready(function() { 
    SupplierFeedbackPartDataGrid.Refresh(); 
    });
}
<link href="@Url.Content("~/Content/Style/SupplierFeedback.css")" rel="stylesheet" type="text/css"/>
<div class="MiddlePart">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            <td style="width: 310px;">
                @Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartHeaderLeftPanel";
                        settings.ShowHeader = false;
                        settings.Height = Unit.Percentage(80);
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialLeftHeaderForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("SupplierFeedbackPartLeftHeaderPartial", Model);
                        });
                    }).GetHtml()
            </td>
            <td style="width: 20px;">
            </td>
            <td style="width: 400px;">
                @Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartHeaderRightPanel";
                        settings.ShowHeader = false;
                        settings.Height = Unit.Percentage(80);
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                        settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0x92D050);
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialRightHeaderForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("SupplierFeedbackPartRightHeaderPartial", Model);
                        });
                    }).GetHtml()
            </td>
            <td style="width: 20px;">
            </td>
            <td style="width: 350px;">
                @Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartFooterPanel";
                        settings.HeaderText = "Upload Supplier Feedback";
                        settings.ShowHeader = true;
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialFooterForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("FooterSupplierFeedbackPart", Model);
                        });
                    }).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div style="height: 10px;">
</div>
@*@Html.Partial("ForecastFeedbackPartGridPartial", Model);*@
@Html.Partial("SupplierFeedbackPartGridPartial", Model);
<br />
